Packages - Bug #2607
Bug # 2613 (fixed): [yacy] Signature no longer trusted.

[yacy]: Option flag error on systemctl start
2020-01-20 07:26 PM - ani

Status: fixed % Done: 90%
Priority: broken

Assignee: freemor

Category:

Description

My system: Parabola x86_64.

The program gives an error. The option flag seems to be missing a part.

The error is:

Jan 20 20:18:05 terracap yacyl[4990]

Jan 20 20:18:05 terracap yacy[4990]: Error:
Jan 20 20:18:05 terracap yacyl[4990]

Jan 20 20:18:05 terracap systemd[1l]

URE

—— Subject: Unit process exited

Expected behavior is the program will start without an error.

| start it with "systemctl start yacy" to get the error.

yvacy.service:

Unrecognized option:
Could not create the Java Virtual Machine.

Main process exited,

Error: A fatal exception has occurred. Program will exit.

code=exited, status=1/FAIL

History

#1 - 2020-01-20 07:40 PM - bill-auger

off-hand, my guess is that the 'yacy' program is expecting a specific version of java - i would try it with each of the other java versions

$ pacman -Si yacy | grep Depends
Depends on : java-environment

$ pacman -Ss Jjava-environment

extra/jdk-openjdk 13.0.1.u9-1
OpenJDK Java 13 development kit
extra/jdkl0-openjdk 10.0.2.ul3-2
OpenJdDK Java 10 development kit
extra/jdkll-openjdk 11.0.5.ul0-1
OpenJdDK Java 11 development kit
extra/jdk7-openjdk 7.u231_2.6.19-1
OpenJdDK Java 7 development kit
extra/jdk8-openjdk 8.u232-1
OpenJDK Java 8 development kit

#2 - 2020-01-21 10:44 AM - ani
bill-auger

| tested every other Java version there is and the same error pops up regardless. How do | show this in a logfile so you can see what | did?

#3 - 2020-01-21 11:40 AM - bill-auger

im not sure what you are asking - you already did show the error
- the important thing missing was the command that you typed -
im guessing that was “systemctl start * - any way you can get
the text into a file, you can attach it to this ticket

a_command > afile
or
a_command 2> afile

2024-04-25

1/3



https://labs.parabola.nu/users/282

then press the "browse" button on this ticket and find 'afile’

#4 - 2020-01-21 12:28 PM - ani
bill-auger

I'm asking because "journalctl -xe" gives output in a seperate buffer and thus | cannot pipe that into a file. However the error messages are all the
same as the original one, for each and every OpenJDK version that | tried.

archlinux-java status

Available Java environments:
java-10-openijdk
java-ll-openjdk
java-13-openjdk
java-T7-openjdk (default)
java-8-openjdk

And "sudo archlinux-java set <ENVIRONMENT>" is what | did for every item listed. Then "sudo systemctl start yacy" which brings no output and lists
that error in journalctl.

#5 - 2020-01-21 12:58 PM - bill-auger

journalctl will print to a file just as i described

$ journalctl --unit=SOME.service --since=today > Jjournalctl.log

probably youve given enough detail already though - the problem
is not obvious; so someone will need to trouble-shoot it

#6 - 2020-01-27 01:24 PM - freemor
- Parent task set to #2613
- Priority changed from bug to broken
- Assignee set to freemor

- Status changed from unconfirmed to confirmed

Set related and parent to #2613. People can follow the goings on there

#7 - 2020-01-28 02:04 AM - freemor
- % Done changed from 0 to 100

- Status changed from confirmed to fixed

#8 - 2020-01-28 10:57 AM - ani

freemor

Even after this last upgrade | still get the same error as before. Version 1.922-1 is current on my system.
#9 - 2020-01-28 11:36 AM - freemor

- % Done changed from 100 to 90

Can you please run /opt/yacy/yacy manually and see what the output from that is it may be more dagnostic then the output from systemd
does /usr/lib/jivm/java-8-openjdk/bin/java exist on your system?

#10 - 2020-02-06 06:54 PM - ani

freemor

Running /opt/yacy/yacy creates no output. The file you requested exists.

#11 - 2020-02-06 07:43 PM - freemor

My bad that should be:

sudo /opt/yacy/yacy start
#12 - 2020-03-04 01:05 PM - ani

freemor

I ran the latest command you requested and the output is:
Starting YaCy Daemon

Unrecognized option: -

Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.
